FISH(6)

NAME
fish - play “Go Fish”

SYNOPSIS
fish [-p]

DESCRIPTION
fish is the game “Go Fish”, a traditional children's card game.

The computer deals the player and itself seven cards each, and places the rest of the deck face-down (figuratively), to be drawn from later. The object of the game is to collect “books”, or all of the cards of a given rank. For example, collecting four 2's would give the player a “book of 2's”.

The options are as follows:

-p  Professional mode.

The computer makes a random decision as to who gets to start the game, and then the computer and player take turns asking each other for cards by rank. If the asked player has any cards of the requested rank, they must be given up to the asking player. There must be at least one card of the requested rank already in the asking player's hand. When the asked player has no cards of the requested rank, the asker is told to “Go Fish!” Then, the asker draws a card from the deck. If the card drawn is of the rank asked for, the turn continues; otherwise, it becomes the other player's turn.

When a player completes a book, either by getting cards from the other player or by drawing from the deck, those cards are set aside and the rank is no longer in play.

The game ends when one player no longer has any cards. The player with the most books wins.

fish provides instructions as to what input it accepts.

BUGS
The computer cheats only rarely.